Loading...
Searching...
No Matches
restinio::multipart_body::impl::parser_details::field_value_producer_t Struct Reference

A special producer that consumes the rest of the current line in the input stream until CR/LF will be found. More...

`#include <multipart_body.hpp>`

Inheritance diagram for restinio::multipart_body::impl::parser_details::field_value_producer_t:

## Public Member Functions

RESTINIO_NODISCARD expected_t< std::string, easy_parser::parse_error_t > | try_parse (easy_parser::impl::source_t &from) const

## Additional Inherited Members

Public Types inherited from restinio::easy_parser::impl::producer_tag< std::string >
using | result_type = std::string
Static Public Attributes inherited from restinio::easy_parser::impl::producer_tag< std::string >
static constexpr entity_type_t | entity_type

## Detailed Description

A special producer that consumes the rest of the current line in the input stream until CR/LF will be found.

Note
  CR and LF symbols are not consumed from the input stream.

Since
  v.0.6.1

Definition at line 207 of file multipart_body.hpp.

## Member Function Documentation

## try_parse()

RESTINIO_NODISCARD expected_t< std::string, easy_parser::parse_error_t > restinio::multipart_body::impl::parser_details::field_value_producer_t::try_parse | ( | easy_parser::impl::source_t & | from | ) | const

inline

Definition at line 212 of file multipart_body.hpp.

The documentation for this struct was generated from the following file:

- restinio/helpers/multipart_body.hpp